org.apache.cassandra.cql3

## Class Maps.SetterByKey

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.Maps.SetterByKey

Enclosing class:
  Maps

    public static class Maps.SetterByKey
    extends Operation

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

`Operation.Addition, Operation.ColumnDeletion, Operation.ElementAddition, Operation.ElementDeletion, Operation.ElementSubtraction, Operation.FieldDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetField, Operation.SetValue, Operation.Substraction`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.Operation

`column, t`

### Constructor Summary

Constructors
Constructor and Description
`SetterByKey(ColumnDefinition column, Term k, Term t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
`void` `execute(DecoratedKey partitionKey, UpdateParameters params)` Execute the operation.

### Methods inherited from class org.apache.cassandra.cql3.Operation

`addFunctionsTo, requiresRead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetterByKey

    public SetterByKey(ColumnDefinition column,
                       Term k,
                       Term t)

### Method Detail

#### collectMarkerSpecification

    public void collectMarkerSpecification(VariableSpecifications boundNames)

Description copied from class: `Operation`
Collects the column specification for the bind variables of this operation.

Overrides:
  `collectMarkerSpecification` in class `Operation`
Parameters:
  `boundNames` - the list of column specification where to collect the bind variables of this term in.

#### execute

    public void execute(DecoratedKey partitionKey,
                        UpdateParameters params)
                 throws InvalidRequestException

Description copied from class: `Operation`
Execute the operation.

Specified by:
  `execute` in class `Operation`
Parameters:
  `partitionKey` - partition key for the update.
  `params` - parameters of the update.
Throws:
  `InvalidRequestException`